import React from 'react';
import { SectionDivider } from './index';
export default {
  component: SectionDivider,
  title: 'Forms/Section Divider',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  },
  argTypes: {
    children: {
      type: 'string'
    }
  }
};
var Template = function Template(args) {
  return /*#__PURE__*/React.createElement(SectionDivider, args);
};
export var Default = Template.bind({});
Default.args = {};
export var Title = Template.bind({});
Title.args = {
  title: 'Section title'
};
export var Description = Template.bind({});
Description.args = {
  children: "She must have hidden the plans in the escape pod. Send a detachment down to retrieve them, and see to it personally, Commander. There'll be no one to stop us this time! Don't underestimate the Force."
};
export var DescriptionTitle = Template.bind({});
DescriptionTitle.args = {
  title: 'Section title',
  children: "She must have hidden the plans in the escape pod. Send a detachment down to retrieve them, and see to it personally, Commander. There'll be no one to stop us this time! Don't underestimate the Force."
};
DescriptionTitle.storyName = 'Title & Description';